// liste des fichiers a charger
getd('.');

// Estimation initale des parametres
Robot=load_robot_deltalab('deltalab.cao');
bAi=Robot.a /1000;  // Valeurs CAO
eBi=Robot.b /1000;  // Valeurs CAO


cth=cos(%pi/6);
sth=sin(%pi/6);

cRb=[0 1 0; ...
     0 0 -1; ...
     -1 0 0];
ctb=[0; 0.5; 0.7];
cTb=[cRb, ctb; 0 0 0 1]; // A estimer manuellement

cAi=cTb*[bAi; ones(1,6)];

mRe=[cth sth 0; ...
       0 0 -1; ...
    -sth cth 0];

mte=[0.6; 0.15; 0.03];
mTe=[mRe, mte; 0 0 0 1]; // A estimer manuellement

mBi=mTe*[eBi; ones(1,6)];

cAi=[rand(3,6); ones(1,6)];
mBi=[rand(3,6); ones(1,6)];

q0=Robot.lmin/1000;  // A estimer manuellement
for i=1:6
 K(1,i)=1/(Robot.c(i)*1000);
end

// Lecture des donnees
nom_fichier_art='data_23_07/64poses.art.lu';
nom_fichier_poses='data_23_07/cam_mire.data';

nom_fichier_art='art3Dec04_10h35.data';
nom_fichier_poses='cammire3Dec04_10h35.data';

LesQ_volt=read(nom_fichier_art,-1,6);
LesQ=LesQ_volt/Robot.c(1)+Robot.lmin(1);
LesQ=LesQ/1000;

NbPoses=size(LesQ,1);


LesX=read(nom_fichier_poses,-1,6); // dans le cas de la lecture d'un fichier LASMEA
LescTm=zeros(4*NbPoses,4);
for i=1:NbPoses
	LescTm(4*i-3:4*i,1:4)=[mateulerlasmea(LesX(i,1:3)*%pi/180), LesX(i,4:6)'; 0 0 0 1];
end

// LesQ et la partie translation de LescTm doivent etre dans les memes unites !!!



xi_init=[cAi(1:3,:);mBi(1:3,:);q0;K];
seuil = 1e-3 ; // memes unites que LesQ
lambda = 0.2; // Facteur d'amortissement pour l'algo de Newton
NbIterMax=1000;

pause
//xi=etal_gough(LesQ,LescTm,xi_init,seuil,NbIterMax,lambda);

clear xopt
clear fopt
for i=1:6
	[fopt(i),xopt(:,i),gropt]=leastsq(1,list(fun_mgi,LesQ(:,i),LescTm),dfun_mgi,xi_init(1:6,i))
end

clear xopt_complet
clear fopt_complet
for i=1:6
	[fopt_complet(i),xopt_complet(:,i),gropt]=leastsq(1,list(fun_mgi_complet,LesQ(:,i),LescTm),dfun_mgi_complet,[xopt(:,i);q0(i);K(i)])
end
