function [ xi ] = etal_gough(LesQ,LescTm,xi_init,seuil,NbIterMax,lambda,pipo)

[lhs ,rhs ]=argn() ;  
lhs=argn(1);   
rhs=argn(2);

etal_jbe_par_jbe=(rhs<7);

if (rhs<6)
   lambda=1;
   if (rhs<5)
      NbIterMax=100;
      if (rhs<4)
	 seuil=1e-3;
         if (rhs <3)
	    error('etal_gough : pas assez d arguments');
	 end
      end
   end
end   

NbConfigs=size(LesQ,1);

if ((size(LescTm,1)/4) ~= NbConfigs)
  error('etal_gough : Erreur de dimensions');
end

if etal_jbe_par_jbe
   xi=xi_init;
   for jbe=1:6
      norme_erreur=%inf;
      xi_jbe=xi_init(:,jbe);
      nb_iter=0;
         
      Reg=zeros(NbConfigs,7);
      erreur=zeros(NbConfigs,1);
      
      hist_err=[];
      hist_norme_err=[];
      hist_xi=[];
      while ( ( norme_erreur > seuil ) ...
      	      & ...
      	      ( nb_iter < NbIterMax) )
      	
         for i=1:NbConfigs
	    Reg(i,:)=regresseur_gough(LescTm(4*i-3:4*i,:),LesQ(i,:), xi,jbe);
            erreur(i)=residu_gough(LesQ(i,:),LescTm(4*i-3:4*i,:),xi,jbe);
      
	 end     

         delta_xi=solve_svd(Reg(:,1:6),erreur,1e-2);
	//disp([delta_xi,xi_jbe(1:6)])
	//disp(size(Reg)), disp(size(erreur)), disp(size(delta_xi)), disp(size(xi_jbe))
         xi_jbe(1:6)=xi_jbe(1:6)-lambda*delta_xi;
	 xi(:,jbe)=xi_jbe;
         nb_iter=nb_iter+1;
         norme_erreur=norm(erreur);
	if (modulo(nb_iter,10)==1)
	   printf('%4d ... ',nb_iter);
	end
	//[u,s,v]=svd(Reg);
	//   		disp([string(jbe), string(nb_iter), string(norme_erreur), string(s(7,7)/s(1,1))])
	//        end

      hist_err=[hist_err, erreur];
      hist_norme_err=[hist_norme_err, norme_erreur];
      hist_xi=[hist_xi, xi_jbe(1:6)];
	
      end

      disp(['xi_jbe(',string(nb_iter),'): ',string(xi_jbe')]);
      disp(['residu : ',string(norme_erreur)]);
	pause
   end

else
   norme_erreur=%inf;
   nb_iter=0;
   xi=xi_init;  
   Reg=zeros(6*NbConfigs,36);
   erreur=zeros(6*NbConfigs,1);
   
      hist_err=[];
      hist_norme_err=[];
      hist_xi=[];
   while ( ( norme_erreur > seuil ) ...
   	& ...
   	( nb_iter < NbIterMax) )
   	
   	for jbe=1:6
	    for i=1:NbConfigs
	
		reg_i_jbe=regresseur_gough(LescTm(4*i-3:4*i,:),LesQ(i,:), xi, jbe);
   		Reg(i,(6*jbe-5):(6*jbe))=reg_i_jbe(:,1:6);
   		erreur(i)=residu_gough(LesQ(i,:),LescTm(4*i-3:4*i,:), xi, jbe);
            end
   	end
disp(size(Reg))
pause
   	delta_xi=Reg\erreur;
	//disp(xi),disp(delta_xi), disp(lambda)
   	xi(1:6,:)=xi(1:6,:)-lambda*matrix(delta_xi,6,-1);
   	nb_iter=nb_iter+1;
	if (modulo(nb_iter,10)==1)
	   printf('%4d ... ',nb_iter);
	end
   	norme_erreur=norm(erreur);
      hist_err=[hist_err, erreur];
      hist_norme_err=[hist_norme_err, norme_erreur];
      hist_xi=[hist_xi; xi];

   end
end