function R=load_robot_deltalab(filename)
//
// R=load_robot(filename)
// load a file contains the description of a robot
//
// file format :
// x1 y1 x1 // base points
// ...
// x6 y6 z6
//
//
// x1 y1 x1 // mobile points
// ...
// x6 y6 z6
// 
// lmin1 lmin2 ... lmin6 minimum leg length
// lmax1 lmax2 ... lmax6 maximum leg length
// 
// c1 c2 ... c6  coefficient mm/v => L= 1/C * articular value
//
// return R a matlab structure
// R.a a matrix 6x3 contain base points
// R.b a matrix 6x3 contain mobile points
// R.lmax a vector 1x6 contain maximum leg length
// R.lmin a vector 1x6 contain minimum leg length
// R.c a vector 1x6 contain coefficientOB

// Pique a David Daney

//format long e

tout=fscanfMat(filename);

   	R.a=tout(1:3,:);
    	R.b=tout(4:6,:);
     	R.lmin=tout(7,:);
     	R.lmax=tout(8,:);
     	R.c=tout(9,:);
         	



