function reg=regresseur_gough(bTe,q,xi,i)
// regresseur = jacobienne du residu du MGI de Gough-Stewart
// (c.-a-d.  (q_i+q0_i)^2-|| AiBi ||^2 )
// par rapport aux parametres geom :  bAi, eBi, q0i

bA=[xi(1:3,1:6); ones(1,6)];
eB=[xi(4:6,1:6); ones(1,6)];
q0=xi(7,1:6);


reg=zeros(1,7);



AiBi=(bTe*eB(:,i)-bA(:,i));
reg(1:3)=2*(eye(3,4)*AiBi)'; 		// derivee / Ai

reg(4:6)=-2*AiBi(1:3)'*bTe(1:3,1:3); 	// derivee / Bi

reg(7)=2*(q(i)+q0(i)); 		// derivee / q0

